%define name	gav
%define	tver	0.7.3
%define version 0.8.0
%define release 2mdk
%define	Summary	GPL Arcade Volleyball

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-themes-%{tver}.tar.bz2
Source11:	%{name}16.png
Source12: 	%{name}32.png
Source13: 	%{name}48.png
URL:		http://gav.sourceforge.net/
License:	GPL
Group:		Games/Sports
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel SDL_image-devel SDL_net-devel

%description
An SDL-based rendition of an old favorite CGA game featuring
two characters playing a volleyball-like game. This "revamped"
version is supposed to support theming, multiplayer games,
different input devices and networking (not yet).

This package contains all available themes as well.

%prep
%setup -q -a1

%build
%make depend CXXFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags` -I`pwd`/menu  -I`pwd`/automa  -I`pwd`/net -I`pwd`"
make CXXFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags` -I`pwd`/menu  -I`pwd`/automa  -I`pwd`/net -I`pwd`"
										
%install
rm -rf $RPM_BUILD_ROOT

install -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -m755 -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/themes
cp -r themes/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/themes

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" needs="x11" title="%{Summary}" longtitle="2-D Volleyball" section="Amusement/Sports"
EOF

#icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README CHANGELOG
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.0-2mdk
- rebuild

* Wed Apr 14 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.0-1mdk
- 0.8.0

* Thu Feb 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.3-1mdk
- 0.7.3
- correct name in menu item
- cleanups
- move binary to %%{_gamesbindir}
- compile with $RPM_OPT_FLAGS

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 0.7.2-1mdk
- 0.7.2

* Thu Feb 13 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1

* Fri Feb 7 2003 Austin Acton <aacton@yorku.ca> 0.7.0-2mdk
- actually make it run this time

* Fri Feb 7 2003 Austin Acton <aacton@yorku.ca> 0.7.0-1mdk
- initial package
